import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconBasket as IconBasketClass } from "../../../../components/icon/icons/basket.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconBasket = (props) => {
  IconBasketClass.define();
  const JSXElement = getReactComponent("gds-icon-basket");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconBasket.displayName = "IconBasket";
export {
  IconBasket
};
